EC_NODE_TYPE_LOOKUP(3)

NAME
ec_node_type_lookup - Lookup node type by name.

SYNOPSIS
#include <ecoli/node.h>

const struct ec_node_type * ec_node_type_lookup(
    const char   *name   /* The name of the node type to search. */
);

RETURN VALUE

The (read-only) node type if found, or NULL on error.

SEE ALSO

ec_node_check_type(3), ec_node_iter(3), ec_node_attrs(3), ec_node_find(3), ec_node_type_name(3), ec_node_free(3), ec_node_id(3), ec_node_type_dump(3), ec_node_get_config(3), ec_node_schema_dump(3), ec_node_priv(3), ec_node_clone(3), ec_node_dump(3), ec_node_desc(3), ec_node_iter_free(3), ec_node_iter_get_parent(3), ec_node_from_type(3), ec_node_type(3), ec_node_iter_next(3), ec_node_type_schema(3), ec_node(3), ec_node_get_children_count(3), ec_node_get_type_name(3), ec_node_type_register(3), ec_node_set_config(3), ec_node_iter_get_node(3), ec_node_get_child(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.